using Newlon.Components.Level;

namespace Newlon.Components.GUI.Seedpackets;

public class HotbarHandler : SeedpacketHandler, ISeedpacketPress, ISeedpacketProcess, ISeedpacketUnfocus
{
    public HotbarHandler(Seedpacket owner) : base(owner)
    {
    }

    public void Pressed()
    {
        PlantField.Instance.SetPlant(_owner, _owner.GetResource());
        AudioSequencer.Play("lift_seed", Seedpacket.LiftStream);
    }

    public void Process()
    {
        _owner.disablePacket = RuntimeLevelData.Instance.SunCount < _owner.GetResource().Cost;
    }
    public void OnUnfocused()
    {
        PlantField.Instance.ResetPlant();
    }
}